Get Sub-Account by ID

Prev Next
Get
/v1/sub-accounts/{subAccountId}

Read a specific sub-account by ID.

Security
HTTP
Type basic

HTTP Basic Authentication using your WACM username and API key.

For detailed authentication instructions, see the Authentication Guide.

Path parameters
subAccountId
integerRequired

Sub-Account ID

Query parameters
includeDeleted
boolean

Include if sub-account is deleted

includeKeys
boolean

Include access and secret keys in response

Responses
200

Successfully retrieved sub-account

{
  "success": "True",
  "data": {
    "id": "54321",
    "name": "Sample Sub-Account",
    "partnerType": "SUB_ACCOUNT",
    "accountType": "Company",
    "status": "PAID_ACCOUNT",
    "creationDate": "2023-05-20T09:00:00Z",
    "address1": "789 Pine St",
    "city": "Seattle",
    "state": "Washington",
    "country": "United States",
    "zip": "98101",
    "contactEmail": "contact@example.com",
    "billingEmail": "billing@example.com",
    "ssoEnabled": "False",
    "storageQuotaType": "Soft quota",
    "accessKey": "AKIAIOSFODNN7EXAMPLE",
    "secretKey": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY",
    "channelAccountId": "53211",
    "channelAccountName": "Sample Channel Account",
    "controlAccountId": "13337",
    "controlAccountName": "Sample Control Account",
    "governanceAccountId": "3214",
    "governanceAccountName": "Sample Governance",
    "wasabiAccountNumber": "100123456",
    "wasabiAccountName": "sample@example.com",
    "sendPasswordResetToSubAccount": "False",
    "ftpEnabled": "True",
    "activeStorage": "0.45",
    "deletedStorage": "0.05",
    "purchasedStorageTB": "2",
    "mfaEnabled": "False"
  }
}
Expand All
object
success
boolean
data
object (SubAccountResponse)
id
integer
name
string
partnerType
string
accountType
string
status
string
imageUrl
string | null
creationDate
string (date-time)
address1
string
address2
string
country
string
city
string
state
string
zip
string
mainPhone
string
billingPhone
string
contactEmail
string
billingEmail
string
businessNumber
string
taxId
string
fiscalNumber
string
vatNumber
string
website
string
ssoEnabled
boolean
storageQuotaType
string
accessKey
string
secretKey
string
channelAccountId
integer
channelAccountName
string
channelAccountEmail
string
controlAccountId
integer
controlAccountName
string
controlAccountEmail
string
governanceAccountId
integer
governanceAccountName
string
wasabiAccountNumber
integer
wasabiAccountName
string
sendPasswordResetToSubAccount
boolean
ftpEnabled
boolean
activeStorage
number
deletedStorage
number
trialQuotaTB
integer
trialExpiration
string
purchasedStorageTB
number
mfaEnabled
boolean